Unable to start up Sekonix SF3325-100 GMSL Camera on Drive AGX Orin

No problem thanks for the info. I’ve sent it to the on-semi team.

Hello @SivaRamaKrishnaNV

On-semi team as replied back to asking a few things I will need from you to clarify

Connected to Orin AGX → which OS are you using?: Ubuntu 20.04

Driver used is from whom, any info?

Is there an ISP in between or straight to onboard ISP from Nvidia?

Hello @SivaRamaKrishnaNV

Here are some more information from the On-semi team.

"
This syslog is not helpful, I don’t see the them invoking AR0231 camera at all.

Can you please ask them what command they run, Also they must be using the same SDK version on their DRIVE ORIN for which we have written and tested the driver. These details are mentioned in the release Notes given along with the driver.

We need the their command and the console output when they run the command. Also if they can run the command with -v4 option to get more verbose debug prints it will help. They can give syslog as well after they run the nvsipl_camera command for sekonix module.

Please note that we have given them the command and other details in our release notes.
"

Can you help us with regards of this?

Hello @SivaRamaKrishnaNV,

We had a meeting with On-semi team. They have stated for the camera Sekonix SF3325 is only compatible with DRIVE OS 6.0.6 of Drive AGX Orin. It is not compatible with 6.0.8.1 or 6.0.9

Can we downgrade the DRIVE OS back to 6.0.6? will there be any issues?

Dear @kevin.kal,
Thank you for the clarification.
Yes. You can downgrade to DRIVE 6.0.6. please use docker based flashing method given at

https://developer.nvidia.com/docs/drive/drive-os/6.0.6/public/drive-os-linux-installation/common/topics/installation/docker-ngc/install-drive-os-linux-docker-from-ngc-devzone.html

Note that you need to pull the docker image nvcr.io/drive/driveos-sdk/drive-agx-orin-linux-aarch64-sdk-build-x86:6.0.6.0-0004 to flash DRIVE OS 6.0.6 . Using the latest tag pulls the latest release of DRIVE OS.

Thanks I will use this command and downgrade. I am waiting on On-semi to update me with the driver info